﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicDataModels.Models;

namespace VetClinicContracts.BindingModels
{
	public class AnimalBindingModel
	{
		public int Id { get; set; }
		public int AdminId { get; set; }
		public int VaccinationId { get; set; }
		public Dictionary<int, IVisitModel> VisitAnimals { get; set; } = new();

		public Dictionary<int, IMedicineModel> MedicineAnimals { get; set; } = new();
		public string AnimalName { get; set; } = string.Empty;

		public string? Family { get; set; } = string.Empty;
	}
}
