﻿using Microsoft.Identity.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicDataModels.Models;

namespace VetClinicContracts.BindingModels
{
	public class ServiceBindingModel : IServiceModel
	{
		public int Id { get; set; }
		public string ServiceName { get; set; } = string.Empty;
		public double Price { get; set; }
		public int PharmacistId { get; set; }
		public Dictionary<int, (IMedicineModel, int)> ServiceMedicines { get; set; } = new();
	}
}
