﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicDataModels.Models;

namespace VetClinicContracts.ViewModels
{
	public class AnimalViewModel: IAnimalModel
	{
		public int Id { get; set; }
		public int AdminId { get; set; }
		public int VaccinationId { get; set; }
		public Dictionary<int, IVisitModel> VisitAnimals { get; set; } = new();
		public Dictionary<int, IMedicineModel> MedicineAnimals { get; set; } = new();
		[DisplayName("Имя животного")]
		public string AnimalName { get; set; } = string.Empty;

		[DisplayName("Семейство")]

		public string? Family { get; set; } = string.Empty;
	}
}
