﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicDataModels.Models;

namespace VetClinicContracts.ViewModels
{
	public class ServiceViewModel : IServiceModel
	{
		public int Id { get; set; }
		[DisplayName("Название услуги")]
		public string ServiceName { get; set; } = string.Empty;
		[DisplayName("Цена услуги")]
		public double Price { get; set; }
		[DisplayName("Фармацевт")]
		public string PharmacistFIO { get; set; } = string.Empty;
		public int PharmacistId { get; set; }
		public Dictionary<int, (IMedicineModel, int)> ServiceMedicines { get; set; } = new();
	}
}
