﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VetClinicDataBaseImplement.Models
{
	public class VisitService  
	{
		public int Id { get; set; }
		[Required]
		public int ServiceId { get; set; }
		[Required]
		public int VisitId { get; set; }

		public virtual Service Service { get; set; } = new();
		public virtual Visit Visit { get; set; } = new();
	}
}
