﻿using VetClinicDataBaseImplement.Models;
using Microsoft.EntityFrameworkCore;



namespace VetClinicDataBaseImplement
{
	public class VetClinicDatabase : DbContext
	{
		protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
		{
			if (optionsBuilder.IsConfigured == false)
			{
				optionsBuilder.UseSqlServer(@"Data Source=localhost\SQLEXPRESS;Initial Catalog=VetClinicDatabase;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True");
			}
			base.OnConfiguring(optionsBuilder);
		}
		public virtual DbSet<Animal> Animals { set; get; }
		public virtual DbSet<Admin> Admins { set; get; }
		public virtual DbSet<VisitAnimal> VisitAnimals { set; get; }
		public virtual DbSet<VisitService>  ServiceVisits { set; get; }
		public virtual DbSet<Visit> Visits { set; get; }
		public virtual DbSet<Vaccination> Vaccinations { set; get; }
		public virtual DbSet<Pharmacist> Pharmacists { set; get; }
		public virtual DbSet<Service> Services { set; get; }
		public virtual DbSet<Medicine> Medicines { set; get; }
		public virtual DbSet<ServiceMedicine> ServiceMedicines { set; get; }
		public virtual DbSet<MedicineAnimal> MedicineAnimals { set; get; }
		public virtual DbSet<Guidance> Guidances { set; get; }
	}
}
