﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VetClinicDataModels.Models
{
    public interface IAnimalModel : IId
	{
        int AdminId { get; }
        Dictionary<int, IVisitModel> VisitAnimals { get; }

		Dictionary<int, IMedicineModel> MedicineAnimals { get; }
		string AnimalName { get; }
        string? Family { get; }
    }
}
