﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VetClinicDataModels.Models
{
	public interface IServiceModel : IId
	{
		string ServiceName { get; }
		double Price { get; }
		int PharmacistId { get; }
		Dictionary<int, (IMedicineModel, int)> ServiceMedicines { get; }
	}
}
