﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicDataModels.Models;

namespace VetClinicContracts.BindingModels
{
	public class MedicineBindingModel : IMedicineModel
	{
		public int Id { get; set; }
		public string MedicineName { get; set; } = string.Empty;
		public double Price { get; set; }
		public int PharmacistId { get; set; }
		public Dictionary<int, IAnimalModel> MedicineAnimals { get; set; } = new();
	}
}
