﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicDataModels.Models;

namespace VetClinicContracts.SearchModels
{
	public class AnimalSearchModel
	{
		public int? Id { get; set; }
		public int? AdminId { get; set; }

		public Dictionary<int, IVisitModel> Visits { get; set; } = new();
		public Dictionary<int, IMedicineModel> Medicines { get; set; } = new();

		public string? AnimalName { get; set; }

		public string? Family { get; set; }
	}
}
