﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VetClinicDataBaseImplement.Models
{
	public class MedicineAnimal
	{
		public int Id { get; set; }
		[Required]
		public int MedicineId { get; set; }
		[Required]
		public int AnimalId { get; set; }
		public virtual Medicine Medicine { get; set; } = new();
		public virtual Animal Animal { get; set; } = new();
	}
}
