﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicDataBaseImplement.Models;

namespace VetClinicDataBaseImplement.Models
{
	public class VisitAnimal
	{
		public int Id { get; set; }
		[Required]
		public int AnimalId { get; set; }
		[Required]
		public int VisitId { get; set; }

		public virtual Animal Animal { get; set; } = new();
		public virtual Visit Visit { get; set; } = new();
	}
}
